package com.jiuqi.dna.ide.designer.parts;

import com.jiuqi.dna.ide.designer.elements.IRootElement;
import org.eclipse.draw2d.BendpointConnectionRouter;
import org.eclipse.draw2d.ConnectionAnchor;
import org.eclipse.draw2d.ConnectionLayer;
import org.eclipse.draw2d.FanRouter;
import org.eclipse.draw2d.IFigure;
import org.eclipse.gef.ConnectionEditPart;
import org.eclipse.gef.Request;
import org.eclipse.gef.editpolicies.RootComponentEditPolicy;

/* loaded from: com_jiuqi_dna_ide_designer_parts.jar:com/jiuqi/dna/ide/designer/parts/DesignerRootEditPart.class */
public class DesignerRootEditPart extends CompositeEditPart {
    @Override // com.jiuqi.dna.ide.designer.parts.FigureEditPart
    protected IFigure createFigure() {
        FanRouter fanRouter = new FanRouter();
        fanRouter.setNextRouter(new BendpointConnectionRouter());
        ConnectionLayer connLayer = getLayer("Connection Layer");
        connLayer.setConnectionRouter(fanRouter);
        connLayer.setAntialias(1);
        IFigure f = getFigureProvider().getFigure(getCastedModel());
        return f;
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.jiuqi.dna.ide.designer.parts.CompositeEditPart, com.jiuqi.dna.ide.designer.parts.FigureEditPart
    public void createEditPolicies() {
        super.createEditPolicies();
        installEditPolicy("GraphicalNodeEditPolicy", null);
        installEditPolicy("ComponentEditPolicy", new RootComponentEditPolicy());
    }

    private IRootElement getCastedModel() {
        return (IRootElement) getModel();
    }

    @Override // com.jiuqi.dna.ide.designer.parts.FigureEditPart
    public ConnectionAnchor getSourceConnectionAnchor(ConnectionEditPart connection) {
        return null;
    }

    @Override // com.jiuqi.dna.ide.designer.parts.FigureEditPart
    public ConnectionAnchor getSourceConnectionAnchor(Request request) {
        return null;
    }

    @Override // com.jiuqi.dna.ide.designer.parts.FigureEditPart
    public ConnectionAnchor getTargetConnectionAnchor(ConnectionEditPart connection) {
        return null;
    }

    @Override // com.jiuqi.dna.ide.designer.parts.FigureEditPart
    public ConnectionAnchor getTargetConnectionAnchor(Request request) {
        return null;
    }
}
